宝塔面板如何切换PHP版本?

宝塔面板默认安装的PHP5.4版本,因为程序的原因需要更换另一个版本的PHP,那么宝塔面板如何更换PHP呢?五分pk10计划分享宝塔面板切换PHP版本的方法:

宝塔面板切换PHP版本的方法

切换PHP版本之前需要先安装所需的目标PHP版本,先安装才能切换:

  • 1. 安装所需版本的PHP
  • 登录到宝塔面板后台--“软件管理”--“运行环境”,找到需要安装的PHP版本(目前宝塔面板支持的PHP版本有:5.1/5.2/5.3/5.4/5.5/5.6/7.0/7.1/7.2/7.3),如下图所示:

    宝塔安装PHP版本

    宝塔安装PHP版本


    如上图所示,找到所需的PHP版本,点击右侧的“安装”即可,宝塔会自动安装的,等待即可。

  • 2. 切换PHP版本
  • 安装完毕后,点击左侧栏“网站”,找到域名点击“设置”,在弹出的对话框中选择“PHP版本”,如下图所示:

    宝塔面板切换PHP版本

    宝塔面板切换PHP版本


    选择所需版本的PHP,点击“切换”即可。

    注意:

    若非必要,请尽量不要使用PHP5.2,这会降低您的服务器安全性;
    PHP7不支持mysql扩展,默认安装mysqli以及mysql-pdo。

    注意:购买「阿里云服务器特惠活动」,可以「领取2000元代金券」,符合条件的订单可以使用代金券抵扣。